Skip to main content
`Ctrl`+`K`

# MatPartitioningView

Prints the partitioning data structure.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningView(MatPartitioning part, PetscViewer viewer)

Collective

## Input Parameters

- part - the partitioning context

- viewer - optional visualization context

## Note

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open alternative visualization contexts with

- `PetscViewerASCIIOpen()` - output to a specified file

## See Also

Matrices, `Mat`, `MatPartitioning`, `PetscViewer`, `PetscViewerASCIIOpen()`

## Level

intermediate

## Location

src/mat/graphops/partition/partition.c

## Implementations

MatPartitioningView_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c
MatPartitioningView_Hierarchical() in src/mat/graphops/partition/impls/hierarchical/hierarchical.c
MatPartitioningView_Party() in src/mat/graphops/partition/impls/party/party.c
MatPartitioningView_Parmetis() in src/mat/graphops/partition/impls/pmetis/pmetis.c
MatPartitioningView_PTScotch() in src/mat/graphops/partition/impls/scotch/scotch.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages